#include "DxLib.h"
#include "BattleMgr.h"
#include "Keyboard.h"

int WINAPI WinMain(HINSTANCE,HINSTANCE,LPSTR,int){
    ChangeWindowMode(TRUE),DxLib_Init(),SetDrawScreen( DX_SCREEN_BACK );

	BattleMgr_Initialize();	//バトル管理部の初期化

    while(!ScreenFlip()&&!ProcessMessage()&&!ClearDrawScreen()){

        Keyboard_Update();	//キーボードの更新

        BattleMgr_Update();	//バトル管理部の更新

        BattleMgr_Draw();	//バトル管理部の描画

    }

    DxLib_End();
    return 0;
}
